#pragma once
#include "afxwin.h"
#include "DialogBarEx.h"

// StatusDialog dialog

class StatusDialog : public DialogBarEx
{
	DECLARE_DYNCREATE(StatusDialog)

public:
	StatusDialog(CWnd* pParent = NULL);   // standard constructor
	virtual ~StatusDialog();
// Overrides

// Dialog Data
	enum { IDD = IDD_STATUS };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	virtual BOOL OnInitDialogBar();

	DECLARE_MESSAGE_MAP()
private:
	CStatic m_scannerStatusStatic;
	CStatic m_paperStatusStatic;
	CStatic m_buttonStatusStatic;
public:
	afx_msg void OnBnClickedScannerStatusButton();
	afx_msg void OnBnClickedPaperStatusButton();
	afx_msg void OnBnClickedButtonStatusButton();
};
