#pragma once

#include "DialogBarEx.h"
#include "ChildView.h"


// ViewDialog dialog

class ViewDialog : public DialogBarEx
{
	DECLARE_DYNAMIC(ViewDialog)

public:
	ViewDialog(CWnd* pParent = NULL);   // standard constructor
	virtual ~ViewDialog();

// Dialog Data
	enum { IDD = IDD_VIEW_DIALOG };

	virtual BOOL OnInitDialogBar();


protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

	CButton		m_scanDialogCheck;
	CButton		m_frontViewCheck;
	CButton		m_backViewCheck;
	CSliderCtrl	m_zoomSlider;
	CStatic		m_zoomStatic;

	DECLARE_MESSAGE_MAP()
public:
	afx_msg void OnBnClickedScanDlgCheck();
	afx_msg void OnBnClickedFrontViewCheck();
	afx_msg void OnBnClickedBackViewCheck();
	afx_msg void OnHScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
	afx_msg void OnBnClickedFitButton();
};
